/v0.1/customers/{customer_id}/payment-instrumentsLists all payment instrument resources that are saved for an identified customer.
OAuth scopes: Requires one of: payment_instruments, customers.read.
Path parameters
The
customer_idyou supplied when creating the customer.Example:
"831ff8d4cd5958ab5670"
Responses
200application/json
Returns the list of saved payment instruments for the customer.
- tokenstring
Token identifying the customer's saved payment card. Pass it as
token, together with the associatedcustomer_idandpayment_type = card, when processing a checkout with this instrument.Example:
"bcfc8e5f-3b47-4cb9-854b-3b7a4cce7be3" - activebooleandefault:
trueIndicates whether the payment instrument is active and can be used for payments. To deactivate it, send a
DELETErequest to the resource endpoint. - typestringOptions:
"card"Type of the payment instrument.
Example:
"card" - cardobject
Details of the payment card.
Show 2 properties
- last_4_digitsstringminLength:
4maxLength:4Last 4 digits of the payment card number.
Example:
"3456" - typestringOptions:
"ALELO""AMEX""BANCOMAT""CONECS""CUP""DINERS""DISCOVER""EFTPOS""ELO""ELV""GIROCARD""HIPERCARD""INTERAC""JCB""MAESTRO""MASTERCARD""PLUXEE""SUMUP""SWILE""TICKET""VISA""VISA_ELECTRON""VISA_VPAY""VPAY""VR""UNKNOWN"Issuing card network of the payment card used for the transaction.
Example:
"VISA"
- mandateobject
Details of the mandate linked to the saved payment instrument.
Example:
{"type":"recurrent","status":"active","merchant_code":"MH4H92C7"}Show 3 properties
- typestring
Type of mandate stored for the checkout or payment instrument.
Example:
"recurrent" - statusstringOptions:
"active""inactive"Current lifecycle status of the mandate.
Example:
"active" - merchant_codestring
Short unique identifier for the merchant for which the mandate is valid.
Example:
"MH4H92C7"
- created_atstringformat:
date-timeThe timestamp of when the payment instrument was created.
Example:
"2021-03-30T10:06:07.000+00:00"
401application/json
The request is not authorized.
- format:
uriA URI reference that identifies the problem type.
Example:
"https://developer.sumup.com/problem/not-found" - titlestring
A short, human-readable summary of the problem type.
Example:
"Requested resource couldn't be found." - statusinteger
The HTTP status code generated by the origin server for this occurrence of the problem.
Example:
404 - detailstring
A human-readable explanation specific to this occurrence of the problem.
Example:
"The requested resource doesn't exist or does not belong to you." - instancestringformat:
uriA URI reference that identifies the specific occurrence of the problem.
Example:
"https://api.sumup.com/v0.1/checkouts/4e425463-3e1b-431d-83fa-1e51c2925e99"
403application/json
The request is authenticated but not permitted for this operation.
- error_messagestring
Short description of the error.
Example:
"request_not_allowed" - error_codestring
Platform code for the error.
Example:
"FORBIDDEN" - status_codestring
HTTP status code for the error.
Example:
"403"
404application/json
The requested resource does not exist.
- messagestring
Short description of the error.
Example:
"Resource not found" - error_codestring
Platform code for the error.
Example:
"NOT_FOUND"